Page MenuHomePhabricator

System messages shouldn't use "administrator" to mean "system administrator"
Closed, ResolvedPublic

Description

Affects at least MediaWiki:Filereadonlyerror, MediaWiki:Readonlytext, MediaWiki:Readonlywarning.

WMF projects use "administrator" to mean the sysop group, and so does every non-WMF installation I've ever seen. For that group to have DB lock privileges is pathological, especially if the editors aren't paying for hosting. Therefore, don't say so in default system messages. Possible alternatives include "database maintainer", "webmaster", or "DBA" (but not "sysadmin" or "superuser" -- it's been 20 years since the average WWW reader recognized those).

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Xeriphas1994 raised the priority of this task from to Lowest.
Xeriphas1994 updated the task description. (Show Details)
Xeriphas1994 added a subscriber: Xeriphas1994.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2015, 6:25 PM
TTO added a subscriber: TTO.Aug 30 2015, 4:11 AM

To clarify, anyone who has access to the LocalSettings.php file on the server can lock a wiki. This person need not be a DBA.

I would favour terminology like "server administrator" or "operations team member". "Webmaster" would be acceptable, but it is a slightly old-fashioned term that doesn't translate well.

jrbs added a subscriber: jrbs.
Purodha added a comment.EditedNov 2 2015, 6:03 AM

So as to go well with shared hosting and managed hosting, the person having access to Localsettings.php should not be named server admin etc. as that is usually the hoster. We have the choice to mention "the file LoCalsettings.php of he wiki installation" etc. explicitly in the messages, or we choose a "person with access to the files of the wiki installation on its server".

This must be used consistently!

Also, do distinguish persons having access to the database from those having access to the files. They are not necessarily the same.

@Purodha: Are you going to mentor a GCI student to fix this task? If yes, please explicitly say so and thanks a lot!

I will mentor this in #GCI2015

Petrb added a subscriber: Petrb.EditedDec 1 2015, 2:38 PM

I can also mentor this.

Change 257061 had a related patch set uploaded (by Purodha):
Avoid confusing use of 'administrator'

https://gerrit.wikimedia.org/r/257061

"MediaWiki administration" is the official name in MediaWiki.org docs though. https://www.mediawiki.org/wiki/Category:MediaWiki_administration

Jdlrobson changed the task status from Open to Stalled.Dec 15 2015, 7:49 PM
Jdlrobson added subscribers: siebrand, Jdlrobson.

@siebrand can you help un-stall this?

siebrand renamed this task from System messages shouldn't use "administrator" to mean DBA to System messages shouldn't use "administrator" to mean "system administrator".Dec 17 2015, 8:55 AM
siebrand updated the task description. (Show Details)

Change 259643 had a related patch set uploaded (by Siebrand):
Use "system administrator" when server access was needed

https://gerrit.wikimedia.org/r/259643

siebrand closed this task as Resolved.Dec 17 2015, 9:02 AM
siebrand claimed this task.

Gerrit 259643 uses "system administrator" when server access was needed.

Change 259643 merged by jenkins-bot:
Use "system administrator" when server access was needed

https://gerrit.wikimedia.org/r/259643

Change 257061 abandoned by Nikerabbit:
Avoid confusing use of 'administrator'

Reason:
I think the changes to English strings are sufficient.

https://gerrit.wikimedia.org/r/257061